Module tdlight.api
Package it.tdlight.jni

# Class TdApi.LoginUrlInfoRequestConfirmation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.LoginUrlInfo
it.tdlight.jni.TdApi.LoginUrlInfoRequestConfirmation

Enclosing class:
  TdApi

public static final class TdApi.LoginUrlInfoRequestConfirmation extends TdApi.LoginUrlInfo
An authorization confirmation dialog needs to be shown to the user.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`botUserId`
User identifier of a bot linked with the website.
`static final int`
`CONSTRUCTOR`
`String`
`domain`
A domain of the URL.
`boolean`
`requestWriteAccess`
True, if the user needs to be requested to give the permission to the bot to send them messages.
`String`
`url`
An HTTP URL to be opened.

## Constructor Summary

Constructors
Constructor
Description
`LoginUrlInfoRequestConfirmation()`
An authorization confirmation dialog needs to be shown to the user.
`LoginUrlInfoRequestConfirmation(DataInput input)`
An authorization confirmation dialog needs to be shown to the user.
`LoginUrlInfoRequestConfirmation(String url, String domain, long botUserId, boolean requestWriteAccess)`
An authorization confirmation dialog needs to be shown to the user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### url

public String url
An HTTP URL to be opened.

### domain

public String domain
A domain of the URL.

### botUserId

public long botUserId
User identifier of a bot linked with the website.

### requestWriteAccess

public boolean requestWriteAccess
True, if the user needs to be requested to give the permission to the bot to send them messages.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### LoginUrlInfoRequestConfirmation

public LoginUrlInfoRequestConfirmation()
An authorization confirmation dialog needs to be shown to the user.

### LoginUrlInfoRequestConfirmation

public LoginUrlInfoRequestConfirmation(String url, String domain, long botUserId, boolean requestWriteAccess)
An authorization confirmation dialog needs to be shown to the user.

Parameters:
  `url` - String An HTTP URL to be opened.
  `domain` - String A domain of the URL.
  `botUserId` - long User identifier of a bot linked with the website.
  `requestWriteAccess` - boolean True, if the user needs to be requested to give the permission to the bot to send them messages.

### LoginUrlInfoRequestConfirmation

public LoginUrlInfoRequestConfirmation(DataInput input) throws IOException
An authorization confirmation dialog needs to be shown to the user.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`